# Metabolic Network Analysis and Metatranscriptomics of Uncultivated Freshwater Actinobacteria

Copyright (c) 2017, Joshua J. Hamilton  
Department of Bacteriology  
University of Wisconsin-Madison, Madison, Wisconsin, USA  
URL: [http://joshamilton.net/](http://joshamilton.net/)  
URL: [https://github.com/joshamilton/](https://github.com/joshamilton/)  
All rights reserved.

***

This repo contains code in support of the manuscript, "Metabolic Network Analysis and Metatranscriptomics Reveals Auxotrophies and Nutrient Sources of the Cosmopolitan Freshwater Microbial Lineage acI," a preprint of which is available on [bioRxiv](http://www.biorxiv.org/content/early/2017/07/21/106856). It relies on the reverseEcology Python package, developed for this project. The package is available on [PyPi](https://pypi.python.org/pypi/reverseEcology).

***

## Overview

    ├── README.md     # top-level description of content
    ├── Makefile      # executable makefile to render the manuscript
    ├── data          # raw data underlying the study. also contains intermediate results
    ├── models        # metabolic network models used for reverse ecology calculations
    ├── results       # final output from workflows / analyses
    ├── code          # code supporting the study
    ├── manuscript    # text of the manuscript
    ├── figures       # publication quality figures, one folder per figure
